<?php
/**
* Class Banner management
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>         
* @module news
* @modulegroups modules                    
* @access public
* @version 1.0.0                                                 
*/


class bannerLibrary
{		  
    
	/**
    * Gets the categorie option menu string
    *
    * @global    object     $objDatabase
    * @param     string     $lang
    * @param     string     $selectedOption
    * @return    string     $modulesMenu                                                                              
    */ 
    function getSettings()
    {
    	global $objDatabase;
        $query = "SELECT name, value FROM ".DBPREFIX."module_banner_settings";
        $objResult = $objDatabase->Execute($query);
	    while (!$objResult->EOF) {
		    $this->arrSettings[$objResult->fields['name']] = $objResult->fields['value'];
		    $objResult->MoveNext();
	    }
    }
    
    
    function getBannerGroupMenu($langId, $selectedOption="")
    {
	    global $objDatabase;
	    
	    $strMenu = "";      
        $query = "SELECT id, name, placeholder_name FROM ".DBPREFIX."module_banner_groups ORDER BY id";
        $objResult = $objDatabase->Execute($query);
	    while (!$objResult->EOF) {
		    $selected = ($selectedOption==$objResult->fields['id']) ? "selected" : "";
		    $strMenu .="<option value=\"".$objResult->fields['id']."\" $selected>".$objResult->fields['placeholder_name']." - ".stripslashes($objResult->fields['name'])."</option>\n"; 
		    $objResult->MoveNext();
	    }
	    return $strMenu;
    }    
}
?>