<?php
/**
* Install Wizard Controller
*
* The Install Wizard
*
* @copyright     Contrexx CMS - Astalavista IT Engineering GmbH Thun
* @author        Astalavista Development Team <thun@astalavista.ch>
* @module        installer
* @modulegroup   core
* @version       $Id:     Exp $
*/


error_reporting (0);
$php = phpversion();
if ($php < "4.3") {
	errorBox("Das Contrexx CMS bentigt mindestens PHP in der Version 4.3.<br>Auf Ihrem System luft PHP ".$php);
}

function errorBox($errmsg){
    print "<html><body>" .$errmsg . "</body></html>";
    die;
}



session_start();

$basePath = realpath(dirname(__FILE__));

define('ASCMS_LIBRARY_PATH', realpath(dirname(__FILE__).DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'lib'));

require_once 'config/config.php';
require_once '../lib/PEAR/HTML/Template/Sigma/Sigma.php';
require_once 'common.class.php';
require_once 'installer.class.php';

$objCommon = new CommonFunctions;
$objInstaller = new Installer;

$objCommon->initLanguage();

$objTpl = &new HTML_Template_Sigma($templatePath);
$objTpl->setErrorHandling(PEAR_ERROR_DIE);
$objTpl->loadTemplateFile('index.html',true,true);

$objTpl->setVariable($_ARRLANG);
$objInstaller->checkOptions();
$objInstaller->getNavigation();
$objInstaller->getPage();
$objInstaller->getContentNavigation();

$objTpl->show();
?>