<?php
/**
* Class block
*
* block module class
*
* @copyright	CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author		Astalavista Development Team <thun@astalvista.ch>
* @module		block
* @modulegroup	modules
* @access		public
* @version		1.0.0
*/
require_once ASCMS_MODULE_PATH.'/block/lib/blockLib.class.php';

class block extends blockLibrary
{
	/**
	* Set block
	*
	* Parse a block
	*
	* @access public
	* @param array $arrBlocks
	* @param string &$code
	* @see blockLibrary::_setBlock()
	*/
	function setBlock($arrBlocks, &$code)
	{
		foreach ($arrBlocks as $blockId) {
			$this->_setBlock(intval($blockId), $code);
		}
	}
	
	/**
	* Set block Random
	*
	* Parse a block Random
	*
	* @access public
	* @param array $arrBlocks
	* @param string &$code
	* @see blockLibrary::_setBlock()
	*/
	function setBlockRandom(&$code)
	{
		$this->_setBlockRandom($code);
	}
}
?>
