<?PHP
/**
* News Module
*
* Gets all the calendar headlines
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>
* @module calendar
* @modulegroup modules
* @access public
* @version 1.0.0 
*/


class calHeadlines
{
	var $_pageContent;
	var $_objTemplate;
	
	/**
	 * Constructor php5
	 */
	function __construct($pageContent) {
		$this->calHeadlines($pageContent);
	}
	
	/**
	 * Constructor php4
	 */
    function calHeadlines($pageContent) {
	    $this->_pageContent = $pageContent;
	    $this->_objTemplate = &new HTML_Template_Sigma('.');
	}
	
	function getHeadlines()
	{
		global $_CONFIG, $objDatabase;
		
		$this->_objTemplate->setTemplate($this->_pageContent,true,true);
		
		if ($_CONFIG['calendarheadlinescat'] != 0) {
			$query = "SELECT name FROM ".DBPREFIX."module_calendar_categories
					  WHERE id = {$_CONFIG['calendarheadlinescat']}";
			$objResult = $objDatabase->SelectLimit($query, 1);
			$category_name = $objResult->fields['name'];
		}
		
		$this->_objTemplate->setVariable(array("CALENDAR_EVENT_CATEGORY" => $category_name));
		
		$this->_objTemplate->setCurrentBlock('calendar_headlines_row');
		
		if ($_CONFIG['calendarheadlines']) {
			$today = time();
			
			if ($_CONFIG['calendarheadlinescat'] == "0") {
				$query = "SELECT id, catid, startdate, name FROM ".DBPREFIX."module_calendar
						  WHERE enddate > $today  AND
						  active = 1
						  ORDER BY startdate ASC
					  	LIMIT 0,".$_CONFIG['calendarheadlinescount'];
			} else {
				$query = "SELECT id, catid, startdate, name FROM ".DBPREFIX."module_calendar
				  WHERE catid = {$_CONFIG['calendarheadlinescat']}
				  AND enddate > $today AND
				  active = 1
				  ORDER BY startdate ASC
			  	LIMIT 0,".$_CONFIG['calendarheadlinescount'];				
			}
			
			$objResult = $objDatabase->Execute($query);
			//echo mysql_error();
			
			if ($objResult !== false && $objResult->RecordCount()>=0) {
				while (!$objResult->EOF) {					
					$this->_objTemplate->setVariable(array(
						"CALENDAR_EVENT_ENDTIME"		=> date("H:i", $objResult->fields['enddate']),
						"CALENDAR_EVENT_ENDDATE"		=> date(ASCMS_DATE_SHORT_FORMAT, $objResult->fields['enddate']),
						"CALENDAR_EVENT_STARTTIME"		=> date("H:i", $objResult->fields['startdate']),
						"CALENDAR_EVENT_STARTDATE"		=> date(ASCMS_DATE_SHORT_FORMAT, $objResult->fields['startdate']),
						"CALENDAR_EVENT_NAME"			=> htmlentities($objResult->fields['name']),
						"CALENDAR_EVENT_ID"				=> $objResult->fields['id'],
					));
					
					$this->_objTemplate->parseCurrentBlock();
					$objResult->MoveNext();
				}
				return $this->_objTemplate->get();
			}
		}	
		$this->_objTemplate->hideBlock('calendar_headlines_row');
	}
}

?>